Reply

How to start simulation from Solid Edge API?

Hello!

I use SolidEdgeFramework library to open document in Solid Edge from .NET application. Can I also start simulation from .NET application? How can I do that if so?

2 REPLIES

Re: How to start simulation from Solid Edge API?

I have no experience with simulations but I "think" they call them "Study" in the API. A quick way to see what's available is to download and install Spy for Solid Edge, then go to the Type Browser tab and type keyword "Study".

Jason Newell
Applications Architect
www.jasonnewell.net

Re: How to start simulation from Solid Edge API?

Thank you, that is what I needed. So I did like this

 

SolidEdgePart.StudyOwner objStudyOwner = objPartDocument.StudyOwner;
object objStudy;
objStudyOwner.GetActiveStudy(out objStudy);
((SolidEdgePart.Study)objStudy).Solve(objPartDocument, 0);